<template>
	<div class="game-block">
		<div class="game-block__image" :style="{ backgroundImage: 'url(' + image + ')' }">
		
		</div>
		<div class="game-block__title">
			{{ title }}
		</div>
		<div class="game-block__played">
			{{ played }}
		</div>
	</div>
</template>

<script>
    export default {
        name: "GameBlock",
        props: ['title', 'image', 'played', 'frame', 'favorite']
    }
</script>

<style lang="sass" scoped>
	.game-block
		display: inline-block
		padding: 10px
		margin-right: 20px
		width: rem(270)
		height: rem(245)
		background-color: $colorSecond
		border-radius: 10px
		border: 1px solid rgba(224, 224, 224, 0.5)
		
		&:hover
			box-shadow: 0 4px 42px rgba(65, 65, 65, 0.12)
		
		&__image
			width: 100%
			height: rem(155)
			border-radius: 10px
		
		&__title
			margin: 10px
			font-size: rem(16)
			font-family: $mainFont
			font-weight: 600
			text-align: left
		
		&__played
			color: $textColorMain
			font-family: $SharpSans
			font-size: rem(12)
			font-weight: 200
			line-height: rem(15)
			text-align: left
			margin-left: 10px
			
			&:before
				content: ''
				display: inline-block
				width: 10px
				height: 10px
				margin-right: 5px
				background-image: url("../assets/img/svg/main/triangle_blue.svg")
				background-size: cover


</style>